Subject: bug#55992: 29.0.50; Experiencing incorrect synchronization of clipboard

From: Po Lu <[email-masked]>
Date: Wed, 15 Jun 2022 18:42:38 +0800

Jean Louis <[email-masked]> writes:

> I have these settings:
>
> (setq select-enable-clipboard t)
> (setq select-enable-primary t)
>
> And I can tell that with recent Emac, development version, I am
> experiencing incorrect synchronization of primary selection.
>
> 1) Too often I go to XTerm, I mark some words with mouse;
>
> 2) Then I switch window to Emacs and try to yank it with C-y
>
> 3) Instead of getting words from (1) I can see some previous selection.
>
> 4) Sometimes I see this message: "Selection owner couldn’t convert: TIMESTAMP [2 times]"
>
> I did not have these problems before in my work, but I have it
> now. Something changed.

Please place a breakpoint on this piece of xselect.c:

      if (there_is_a_selection_owner)
	{
===>	  AUTO_STRING (format, "Selection owner couldn't convert: %s");
	  CALLN (Fmessage, format,

and show a backtrace once it is hit.

Thanks.